# ConstructionSettings Struct Reference

Settings related to construction in-game. More...

`#include <settings_type.h>`

## Data Fields

bool | build_on_slopes
| allow building on slopes
bool | autoslope
| allow terraforming under things
bool | longbridges
| allow 100 tile long bridges
bool | signal_side
| show signals on right side
bool | extra_dynamite
| extra dynamite
bool | road_stop_on_town_road
| allow building of drive-through road stops on town owned roads
bool | road_stop_on_competitor_road
| allow building of drive-through road stops on roads owned by competitors
uint8 | raw_industry_construction
| type of (raw) industry construction (none, "normal", prospecting)
bool | freeform_edges
| allow terraforming the tiles at the map edges

## Detailed Description

Settings related to construction in-game.

Definition at line 164 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h